edu.sc.seis.sod.validator.tour

## Class XMLWritingTourist

- java.lang.Object
- - edu.sc.seis.sod.validator.tour.XMLWritingTourist

- All Implemented Interfaces:
    Tourist

      public class XMLWritingTourist
      extends java.lang.Object
      implements Tourist

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_INT_VALUE`
    `static java.lang.String` | `DEFAULT_TEXT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLWritingTourist()`
    `XMLWritingTourist(boolean escapeBrackets)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult()`
    `void` | `leave(Attribute attr)`
    `void` | `leave(Choice choice)`
    `void` | `leave(Group g)`
    `void` | `leave(Interleave i)`
    `void` | `leave(NamedElement ne)`
    `void` | `visit(Attribute attr)`
    `void` | `visit(Choice choice)`
    `void` | `visit(Data d)`
    `void` | `visit(Empty e)`
    `void` | `visit(Group g)`
    `void` | `visit(Interleave i)`
    `void` | `visit(NamedElement ne)`
    `void` | `visit(NotAllowed na)`
    `void` | `visit(Text t)`
    `void` | `visit(Value v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INT_VALUE

          public static final int DEFAULT_INT_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_TEXT_VALUE

          public static final java.lang.String DEFAULT_TEXT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLWritingTourist

          public XMLWritingTourist()

    - #### XMLWritingTourist

          public XMLWritingTourist(boolean escapeBrackets)

  - ### Method Detail

    - #### visit

          public void visit(Attribute attr)

      Specified by:
        `visit` in interface `Tourist`

    - #### leave

          public void leave(Attribute attr)

      Specified by:
        `leave` in interface `Tourist`

    - #### visit

          public void visit(Data d)

      Specified by:
        `visit` in interface `Tourist`

    - #### visit

          public void visit(NamedElement ne)

      Specified by:
        `visit` in interface `Tourist`

    - #### leave

          public void leave(NamedElement ne)

      Specified by:
        `leave` in interface `Tourist`

    - #### visit

          public void visit(Text t)

      Specified by:
        `visit` in interface `Tourist`

    - #### visit

          public void visit(Value v)

      Specified by:
        `visit` in interface `Tourist`

    - #### getResult

          public java.lang.String getResult()

    - #### visit

          public void visit(Choice choice)

      Specified by:
        `visit` in interface `Tourist`

    - #### leave

          public void leave(Choice choice)

      Specified by:
        `leave` in interface `Tourist`

    - #### visit

          public void visit(Empty e)

      Specified by:
        `visit` in interface `Tourist`

    - #### visit

          public void visit(Group g)

      Specified by:
        `visit` in interface `Tourist`

    - #### leave

          public void leave(Group g)

      Specified by:
        `leave` in interface `Tourist`

    - #### visit

          public void visit(Interleave i)

      Specified by:
        `visit` in interface `Tourist`

    - #### leave

          public void leave(Interleave i)

      Specified by:
        `leave` in interface `Tourist`

    - #### visit

          public void visit(NotAllowed na)

      Specified by:
        `visit` in interface `Tourist`